########################################################################
# SGI R10000      #
###################
# The default compilation mode is now -n32, but set LIBTYPE to match
# the method used to build libtcl etc.
LIBTYPE = -n32 -mips3
#
LIB = ../logic.a
# debug option for SGI
#DBG = -g -O0
NAMEOPTION = -DONESCORE -DBIT32
CFLAGS = $(DBG) $(NAMEOPTION) -c $(LIBTYPE)
FFLAGS = $(DBG) -c -backslash
F77 = f77 $(LIBTYPE)
FC = f77 $(LIBTYPE)
LOCALFC = f77
# shared library options
SHSUFFIX = so
# command to build shared libraries
SHARECMD = ld -shared $(LIBTYPE)
# libraries needed to build shared libraries
SHARELIB = -lF77 -lI77 -lisam
# locations for TCL include files -- system dependent
TCL_CFLAGS = -I/usr/include/tcl -I/usr/local/include
# libraries needed for linking
TCLLIBS =  -L/usr/local/nist99/lib -ltcl -lm $(F2CLIB)
TKLIBS = -L/usr/local/nist99/lib -ltk -ltcl -lm -lX11 $(F2CLIB)
#
RANLIB = echo
########################################################################
# change this if -D is not the command line option to define preprocessor
# options from the command line (it is needed to include Tk into logic_shell.c)
TK_CFLAGS = -DLOGIC_TK
#
